--- title: "Search for subscription assignments" slug: "search-for-subscription-assignments-1" updated: 2024-10-25T18:04:27Z published: 2026-02-10T22:32:35Z canonical: "docs.skillable.com/search-for-subscription-assignments-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.skillable.com/llms.txt > Use this file to discover all available pages before exploring further. # Search for subscription assignments Get/SearchSubscriptions Allows you to search for user's subscription assignments. SecurityAPI Key: api_keyHeader parameter nameapi_key Query parameterspageIndexinteger (int32) A 0-based index of the paged results you wish to receive. In general, you should start with a value of zero and increment it as you need to retrieve additional results. If not supplied, a value of 0 is used (the first page of results). pageSizeinteger (int32) Indicates how many results you want per page. if not supplied, a default value of 100 is used. sortstring The value you want to sort by. Possible values: - UserId - ExternalUserId - Subscription - Starts - Expires - TargetCompletion - Created - LastModified userIdinteger (int32) An optional parameter used to filter subscriptions by the associated userid. When specified, only user subscriptions that have an associated userid that matches this value will be returned. userExternalIdstring An optional parameter used to filter subscriptions by the associated user external id. When specified, only user subscriptions that have an associated external user id that matches that value will be returned. subscriptionIdinteger (int32) An optional parameter used to filter subscriptions by subscription id. When specified, only user subscriptions that matches this value will be returned. createdAfterinteger (int64) An optional parameter used to filter subscriptions created after a specified date. When used in conjunction with the "createdBefore" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. createdBeforeinteger (int64) An optional parameter used to filter subscriptions created before a specified date. When used in conjunction with the "createdAfter" parameter, it becomes possible to filter for a given time range. This should be provided in unix epoch format, which is the number of seconds that have elapsed since midnight UTC January 1st, 1970. Responses200 OK Response Expand Allobject Statusinteger (int32) Indicates the status of the API request. 0 = Success 10 = Error 20 = Not found 30 = Invalid integration key Example10 Errorstring | null Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10). TotalCountinteger (int32) The total number of results that match the search conditions, not all of which may be in the current result set. Example1 TotalPagesinteger (int32) The total number of result pages that match the search conditions. Example1 SearchSubscriptionsResults Array of object (SearchSubscriptionsResult) See SearchSubscriptionsResult. object SubscriptionProfileIdinteger (int32) The subscription profile's unique identifier. Example523 SubscriptionProfileNamestring The subscription profile's name. Example.Net Club Startsstring | null When the subscription starts (in Unix epoch time). Example2021-03-19T22:16:07.967Z Expiresstring | null When the subscription ends or expires (in Unix epoch time). Example2022-03-19T22:15:59.997Z LastModifiedstring | null When the subscription was last modified (in Unix epoch time). Example2021-04-19T11:23:02.567Z Createdstring | null When the subscription was created (in Unix epoch time). Example2021-03-19T22:16:07.967Z